# -*- coding: utf-8 -*-

# Copyright (C) 2015 Avencall
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>

import json
import unittest

from hamcrest import assert_that, equal_to
from xivo_manage_tokens.main import _Rules


class TestRules(unittest.TestCase):

    def test_build(self):
        r = _Rules().read('').write('foo/').deny('foo/private/')
        expected = {
            'key': {
                '': {'policy': 'read'},
                'foo/': {'policy': 'write'},
                'foo/private/': {'policy': 'deny'},
            }
        }

        assert_that(json.loads(r.build()), equal_to(expected))
